<?php
$translation        = \DynCom\mysyde\common\classes\Registry::get("translation");
$formname           = "bewerber_forms";
$input_page_id      = (isset($_REQUEST["input_page_id"]) ? $_REQUEST["input_page_id"] : "");
$input_component_id = (isset($_REQUEST["input_component_id"]) ? $_REQUEST["input_component_id"] : "");
$is_survey = 0;
if(isset($_GET["level_2"]) && $_GET["level_2"] == 'survey_forms'){
    $is_survey = 1;
}
$query  = 'SELECT * FROM google_recaptcha';
$result = @mysqli_query($GLOBALS['mysql_con'], $query);
$grecaptcha = @mysqli_fetch_array($result);
$reCaptchaDisabled = false;
 
if ($grecaptcha["secretkey"] == "" && $grecaptcha["websitekey"] == "") {
    $reCaptchaDisabled = true;
}
?>

    <div id="overlaycrumb">
        <?php if ($input_stufeform["id"] == "") {
              
                echo $translation->get("new_stufeform");
             
            
        } else {
             
                echo $translation->get("edit_stufeform");
          
           
        }
        ?>
        <div id="closeoverlay" onclick="disableOverlay();"></div>
    </div>

    <ul class="toolbar_menu">
        <?php
 
         

        // Speichern button
        button("save", $translation->get("save"), $formname, "loadCard('save_stufeform', true)");

        // Speichern und schliessen
        button("save", $translation->get("save_and_close"), $formname, "loadCard('save_stufeform', true, '', true)");
        ?>
        <li>
            <ul>
                <?php
                // Loeschen  button
                if ($input_stufeform["id"] != "" && is_page_edit() === FALSE && is_component_edit() === FALSE) {
                    echo button("delete", $translation->get("delete"), $formname, "loadCard('delete_stufeform', true, '{$translation->get('delete_stufeform_confirm')}', true)", "", FALSE);
                }

                // Zuruecksetzen
                button("reset", $translation->get("restore"), $formname, "?action=edit", "", FALSE);
                ?>
            </ul>
        </li>
    </ul>
    <div class="clearfix"></div>

<?php
if (count($messages)) {
    echo '<div id="overlayMessages">' . join("\r\n", $messages) . '</div>';
}
?>

    <form id="<?= $formname ?>" name="<?= $formname ?>" method="post">
        <input name="input_id" type="hidden" value="<?= $input_stufeform["id"] ?>">
        <input type="hidden" name="get_real_page_link_id" value="1" />
       
        
        
        <table class="cardform" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td>
                    <? input($translation->get("description"), "input_description", "text", $input_stufeform["description"], 255) ?>
                    <? input($translation->get("short_text"), "input_short_text", "smalltextarea", $input_stufeform["short_text"], 255) ?>
                     
                </td>
            </tr> 
            <tr>   
                <td>
                    

                     
                    <?php
                    if ($input_stufeform["id"] != "") {
                        show_changed_on($input_stufeform["id"], "stufe");
                        show_changed_by($input_stufeform["id"], "stufe");
                    }
                    ?>
                </td>
            </tr>
             
        </table>
    </form>
    <br />
<?
 
?>